DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
DcmTLSECFailedToWriteRandomSeedFileConst Struct Reference

A struct for creating a failed to write random seed file error condition. More...

Inheritance diagram for DcmTLSECFailedToWriteRandomSeedFileConst:

## Public Member Functions
| DcmTLSECFailedToWriteRandomSeedFileConst ()
| Constructor, initializes the OFConditionConst base. More...
OFCondition | operator() (const char *seedFile) const
| Create a specialized failed to write random seed file error condition that refers to the file name of the seed file that could not be written. More...
Public Member Functions inherited from OFConditionConst
OFBool | operator== (const OFConditionConst &arg) const
| comparison operator. More...
OFBool | operator!= (const OFConditionConst &arg) const
| comparison operator. More...

## Additional Inherited Members
Public Attributes inherited from OFConditionConst
unsigned short | theModule
| module identifier. 0 is reserved for global codes.
unsigned short | theCode
| status code that is unique for each module
OFStatus | theStatus
| condition status enum
const char * | theText
| error text

## Detailed Description

A struct for creating a failed to write random seed file error condition.

## Constructor & Destructor Documentation

## ◆ DcmTLSECFailedToWriteRandomSeedFileConst()

DcmTLSECFailedToWriteRandomSeedFileConst::DcmTLSECFailedToWriteRandomSeedFileConst | ( |  | ) |

Constructor, initializes the OFConditionConst base.

Don't use this if you don't have a very good reason.

## Member Function Documentation

## ◆ operator()()

OFCondition DcmTLSECFailedToWriteRandomSeedFileConst::operator() | ( | const char * | seedFile | ) | const

Create a specialized failed to write random seed file error condition that refers to the file name of the seed file that could not be written.

Parameters

  seedFile | the file name of the random seed file.

Returns
  an OFCondition that compares equal to DCMTLS_EC_FailedToWriteRandomSeedFile but also refers to the file name of the random seed file in its descriptive text.

The documentation for this struct was generated from the following file:

- dcmtls/include/dcmtk/dcmtls/tlscond.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1